package sun.awt;

import java.awt.Rectangle;
import java.awt.event.PaintEvent;
import java.awt.Component;

public class PaintEventDispatcher
{
    private static PaintEventDispatcher dispatcher;
    
    public PaintEventDispatcher() {
    }
    
    public static void setPaintEventDispatcher(PaintEventDispatcher dispatcher) {
        synchronized (PaintEventDispatcher.class) {
            PaintEventDispatcher.dispatcher = dispatcher;
        }
    }
    
    public static PaintEventDispatcher getPaintEventDispatcher() {
        synchronized (PaintEventDispatcher.class) {
            if (PaintEventDispatcher.dispatcher == null) {
                PaintEventDispatcher.dispatcher = new PaintEventDispatcher();
            }
            return PaintEventDispatcher.dispatcher;
        }
    }
    
    public PaintEvent createPaintEvent(Component source, int x, int y, int width, int height) {
        return new PaintEvent(source, 800, new Rectangle(x, y, width, height));
    }
    
    public boolean shouldDoNativeBackgroundErase(Component component) {
        return true;
    }
    
    public boolean queueSurfaceDataReplacing(Component component, Runnable runnable) {
        return false;
    }
}
